Risultati da 1 a 1 di 1
  1. #1
    Moderatore Solidworks L'avatar di Oldwarper
    Iscritto dal
    2007
    Messaggi
    2098
    Professione
    Progettista
    Regione
    Emilia Romagna
    Software
    Solidworks, Cimatron IT, Cimatron E, Rhino, AutoCAD, Logopress, Solidcam

    Predefinito [Recuperato] proprietÓ personalizzate

    -Discussione recuperata dalla cache di Google.
    -I rispettivi moderatori sono autorizzati a cancellare o modificare la presente discussione dal proprio forum.
    Grazie per la collaborazione.
    Oldwarper.



    31-08-2006, 15.16.13
    JENUARY

    Salve a tutti,
    Ŕ possibile inserire delle proprietÓ personalizzate ad un componente direttamente dall'assieme?
    Sono riuscito a prelevarle ed inserirle aprendo per˛ il componenete, ma non riesco a prelevarle o inserirle piccando un componente nell'assieme.
    Forse dall'assieme bisogna aprire il file "silenzioso" e prelevarle?
    Grazie a tutti



    31-08-2006, 15.43.17
    Sakatia

    A me sembra che tu possa farlo solo aprendo l'assieme con il SW Explorer, non direttamente dall'assieme aperto con SW.
    Pu˛ darsi che ci sia qualche trucco nascosto da qualche parte.
    Ciao e buon lavoro
    Nosy Sakatia



    31-08-2006, 16.40.15
    pose63

    Ciao JENUARY
    Prova la macro allegata, al momento visualizza le proprietÓ, ma puoi sviluppare la parte di modifica / inserimento a piacere (non dovresti avere problemi)
    Questa macro Ŕ una modifica ad una macro che trovi su www.solidworks.cad.de
    Per funzionare devi registrare il controllo che trovi nello zip VSFLEX7.zip (o semplicemente copiare i files in \winnt\system32 per Win2000 o \windows\system32 per WinXP), sempre che non sia giÓ installato sul tuo sistema. Il controllo ComponentOne altro non Ŕ che una griglia modificabile e stampabile. Per l'utilizzo di questo componente scarica da internet la versione 8 trial (Ŕ semplicemente fantastica! legge e scrive in formato XLS) .
    Files allegati vsflex7.zip (231.4 KB, 31 visite)
    Ciao Giancarlo.



    31-08-2006, 18.54.48
    JENUARY

    ringraziamento
    Grazie Pose63, mi hai dato un'autentica chicca.
    Notavo che prelevi le proprietÓ personalizzate dell'elemento, ma si possono anche modificare aggiornado il particolare direttamente dal complessivo?
    Grazie ancora per la dritta.
    Buon lavoroJenuary



    01-09-2006, 00.03.23
    pose63

    Notavo che prelevi le proprietÓ personalizzate dell'elemento, ma si possono anche modificare aggiornado il particolare direttamente dal complessivo?
    Certamente. Quando prelevi le informazioni del componente nell'assieme tramite l'oggetto Component2 hai a disposizione i metodi per recuperare tutte le informazioni del componente nell'assieme e nello specifico con il metodo GetModelDoc recuperi tutte le informazioni (oggetto ModelDoc2) senza aprire il documento (parte o assieme) e nel tuo caso puoi aggiungere e modificare le proprietÓ nello stesso modo in cui lo fai con il modello attivo. Il metodo GetModelDoc purtroppo lo utilizzi solo se l'elemento selezionato Ŕ risolto, questo almeno fino alla versione 2005, ma credo che nella 2006 qualcosa sia cambiato e prover˛ ad approfondire.
    Se questa fine settimana ho un attimo di tempo completo la parte della macro per l'editing delle proprietÓ.
    Nel futuro ( sempre che ne abbia il tempo) vorrei includere una parte modificata della macro che allego scaricata da

    http://webpages.charter.net/mkikstra/SolidWorks.html
    Files allegati AssemblyBOM.zip (272.7 KB, 19 visite)

    Ciao Giancarlo.



    01-09-2006, 13.52.03
    JENUARY

    proprietÓ
    Grazie Pose63, penso che se come dicevi riesci a modificare la macro come di dicevi il risultato sarÓ ottimo.
    Fammi sapere se tutto va a buon fine, e grazie mille per l'allegato della distinta, l'ho verificatoed Ŕ un'utilitÓ di esportazione bellissima in quanto gestisci i formati dei file esportati.
    Saluti e buon lavoro jenuary.
    Approposito, in una macro costruita con VB6 avevo sfruttando il componente Activex di Edrawings riesco a visualizzare una finesta di edrawings nella mia interfaccia.
    Questa "anteprima 3D" del mio pezzo, la creo salvando fisicamente un file edrawings tramite una macro all'interno del mio applicativo in questo modo.
    Apro il file con solidworks e salvo il file in edrawings.
    Mi chiedevo se Ŕ possibile estrarre l'anteprima edrawings di un file di solidworks senza aprire solidworks.
    Grazie di tutto e a risentirci



    01-09-2006, 14.52.29
    pose63

    Citazione:Originalmente inviato da JENUARY
    Approposito, in una macro costruita con VB6 avevo sfruttando il componente Activex di Edrawings riesco a visualizzare una finesta di edrawings nella mia interfaccia.
    Questa "anteprima 3D" del mio pezzo, la creo salvando fisicamente un file edrawings tramite una macro all'interno del mio applicativo in questo modo.
    Apro il file con solidworks e salvo il file in edrawings.
    Mi chiedevo se Ŕ possibile estrarre l'anteprima edrawings di un file di solidworks senza aprire solidworks.
    Grazie di tutto e a risentirci
    Ciao JENUARY
    Quando carichi il modello .edw con il metodo OpenDoc( FileName, False, True, True, "") del controllo Activex eDrawing , Filename pu˛ essere un documeto Solidworks.

    Per darti un'idea di cosa si pu˛ fare ho sviluppato una applicazione in Access che prevede la scansione di un assieme Solidworks (risolto o a peso leggero, dipende se interessano le proprietÓ), il salvataggio delle informazioni relative ad assiemi, sottoassiemi e componenti in un file .mdb, il salvataggio delle immagini nelle varie configurazioni usate nell'assieme, e il salvataggio nel formato eDrawing. (in pratica si "fotografa" l'assieme)
    A questo punto, senza Swx installato si pu˛ riprodurre l'albero dell'assieme (edw001.jpg) ed esplorarlo potendo visualizzare sia l'anteprima in edrawing che in JPG, sia le propietÓ e potendo inoltre in ogni livello dell'assieme estrarre la distinta per poterla stampare o salvare nel gestionale.
    Utilizzando inoltre il file eDrawing e .MDB si puo' ultilizzare un'altra piccola applicazione (edw002.jpg) che ti permette cliccando su un componente di visualizzarne le propietÓ (speriamo che in eDrawing si possa fare in futuro).
    Immagini allegate edw001.jpg (273.6 KB, 27 visite)
    edw002.jpg (74.9 KB, 20 visite)

    Ciao Giancarlo.



    04-09-2006, 12.49.21
    JENUARY

    complimenti
    Complimenti Giancarlo per il laoro che hai sviluppato, hai creato un "PDM" personalizzato secondo le tue esigenze.
    Grazie anche per la dritta del componente di edrawings, ho giÓ modificato la mia macro creata tempo fa e ora Ŕ anche pi¨ veloce.
    Devo rinnovare nuovamente il ringraziamento e i complimenti a questo forum che ti mette a disposizione l'opportunitÓ di scambire opinioni e consigli sui problemi che trovi ad affrontare quotidianamente.
    Se riesci a modificare la mcro che mi dicevi sarebbe molto utile a quello che sto costruendo, cioŔ un PDM personalizzato come hai giÓ fatto tu.
    Saluti e buona settimana
    Jenuary



    04-09-2006, 13.21.05
    pose63

    Citazione:Originalmente inviato da JENUARY
    ..Se riesci a modificare la mcro che mi dicevi sarebbe molto utile a quello che sto costruendo, cioŔ un PDM personalizzato come hai giÓ fatto tu.
    Saluti e buona settimana
    Jenuary
    Ciao Jenuary
    Allego la macro modificata provala e se trovi qualche baco segnalamelo.
    Con l'editor delle macro puoi modificare l'elenco delle proprietÓ secondo le tue esigenze.
    Ho cercato di creare l'editing simile a quello giÓ presente in SolidWorks.
    Files allegati Prop_comp_in asm.zip (110.9 KB, 5 visite)

    Ciao Giancarlo.
    Ultima modifica di Sandra_ME30; 10-04-2008 alle 00: 15
    Saluti, Stefano.
    “Timeo Fenestras et dona ferentes”


  • Discussioni Simili

    1. ProprietÓ personalizzate
      Di Flavio nel forum Solidworks
      Risposte: 10
      Ultimo Messaggio: 10-03-2011, 09: 48
    2. info proprietÓ personalizzate
      Di romy nel forum Solidworks
      Risposte: 20
      Ultimo Messaggio: 13-07-2010, 02: 32
    3. Tabelle ProprietÓ Personalizzate
      Di Ale31 74 nel forum Solid Edge
      Risposte: 9
      Ultimo Messaggio: 23-06-2010, 17: 48
    4. ProprietÓ personalizzate
      Di Precis nel forum Inventor
      Risposte: 21
      Ultimo Messaggio: 12-08-2009, 11: 37
    5. [Recuperato] Aggiungere proprieta' personalizzate
      Di cacciatorino nel forum Solid Edge
      Risposte: 6
      Ultimo Messaggio: 31-05-2008, 09: 41

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti